freemarker.debug

## Interface DebuggedEnvironment

All Superinterfaces:
  DebugModel, Remote

    public interface DebuggedEnvironment
    extends DebugModel

Represents the debugger-side mirror of a debugged `Environment` object in the remote VM. This interface extends `DebugModel`, and the properties of the Environment are exposed as hash keys on it. Specifically, the following keys are supported: "currentNamespace", "dataModel", "globalNamespace", "knownVariables", "mainNamespace", and "template".

The debug model for the template supports keys "configuration" and "name".

The debug model for the configuration supports key "sharedVariables".

Additionally, all of the debug models for environment, template, and configuration also support all the setting keys of `Configurable` objects.

### Field Summary

### Fields inherited from interface freemarker.debug.DebugModel

`TYPE_BOOLEAN, TYPE_COLLECTION, TYPE_CONFIGURATION, TYPE_DATE, TYPE_ENVIRONMENT, TYPE_HASH, TYPE_HASH_EX, TYPE_METHOD, TYPE_METHOD_EX, TYPE_NUMBER, TYPE_SCALAR, TYPE_SEQUENCE, TYPE_TEMPLATE, TYPE_TRANSFORM`

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getId()` Returns a unique identifier for this environment
`void` `resume()` Resumes the processing of the environment in the remote VM after it was stopped on a breakpoint.
`void` `stop()` Stops the processing of the environment after it was stopped on a breakpoint.

### Methods inherited from interface freemarker.debug.DebugModel

`get, get, get, get, getAsBoolean, getAsDate, getAsNumber, getAsString, getCollection, getDateType, getModelTypes, keys, size`

### Method Detail

#### resume

    void resume()
         throws RemoteException

Resumes the processing of the environment in the remote VM after it was stopped on a breakpoint.

Throws:
  `RemoteException`

#### stop

    void stop()
       throws RemoteException

Stops the processing of the environment after it was stopped on a breakpoint. Causes a `StopException` to be thrown in the processing thread in the remote VM.

Throws:
  `RemoteException`

#### getId

    long getId()
        throws RemoteException

Returns a unique identifier for this environment

Throws:
  `RemoteException`